<?php
/*
Title: MapaKernel

Gera um mapa de Kernel

About: Licena

I3Geo Interface Integrada de Ferramentas de Geoprocessamento para Internet

Direitos Autorais Reservados (c) 2006 Ministrio do Meio Ambiente Brasil
Desenvolvedor: Edmar Moretti edmar.moretti@mma.gov.br

Este programa  software livre; voc pode redistribu-lo
e/ou modific-lo sob os termos da Licena Pblica Geral
GNU conforme publicada pela Free Software Foundation;
tanto a verso 2 da Licena.
Este programa  distribudo na expectativa de que seja til,
porm, SEM NENHUMA GARANTIA; nem mesmo a garantia implcita
de COMERCIABILIDADE OU ADEQUAO A UMA FINALIDADE ESPECFICA.
Consulte a Licena Pblica Geral do GNU para mais detalhes.
Voc deve ter recebido uma cpia da Licena Pblica Geral do
GNU junto com este programa; se no, escreva para a
Free Software Foundation, Inc., no endereo
59 Temple Street, Suite 330, Boston, MA 02111-1307 USA.

File: i3geo/classesphp/classe_mapakernel.php

13/3/2008
*/
/*
Class: MapaKernel

*/
class MapaKernel
{
	/*
	Variable: $mapa
	
	Objeto mapa
	*/
	protected $mapa;
	/*
	Variable: $arquivo
	
	Arquivo map file
	*/
	protected $arquivo;
	/*
	Variable: $layer
	
	Objeto layer
	*/
	protected $layer;
	/*
	Variable: $layerPol
	
	Objeto layer
	*/
	protected $layerPol;
	/*
	Variable: $nome
	
	Nome do layer
	*/
	protected $nome;
	/*
	Variable: $diretorio
	
	Diretrio do arquivo map_file
	*/
	protected $diretorio;
/*
Function: __construct

Cria um objeto Analise 

parameters:

$map_file - Endereo do mapfile no servidor.

$tema - Nome do tema que ser processado

$temaPol - Nome do tema de poligonos que ser processado
*/  
	function __construct($map_file,$tema="",$temaPol)
	{
  		//error_reporting(E_ALL);
  		require_once("../../classesphp/funcoes_gerais.php");
  		$this->mapa = ms_newMapObj($map_file);
  		$this->arquivo = $map_file;
  		if($tema != "")
 		  $this->layer = $this->mapa->getlayerbyname($tema);
  		$this->nome = $tema;
  		$this->diretorio = dirname($this->arquivo);
		  $this->layerPol = $temaPol;
	}
/*
Method: salva

Salva o mapfile atual 
*/	
 	function salva()
 	{
	  	if (connection_aborted()){exit();}
	  	$this->mapa->save($this->arquivo);
	}

/*
function: analiseDistriPt

Gera anlise de distribuio de pontos.

Executa script R para gerar a imagem.

parameters:
$locaplic - Localizao da aplicao I3Geo

$dir_tmp - Diretrio temporrio do mapserver

$R_path - Onde fica o R

$numclasses - Nmero de classes que sero representadas

$cori - Cor inicial em rgb.

$corf - Cor final em rgb.

$tmpurl - Url com o nome da imagem final

$raio - raio da analise de Kernel

Include:
<class.palette.php>
*/
	function analiseDistriPt($locaplic,$dir_tmp,$R_path,$numclasses,$cori,$corf,$tmpurl,$raio)
	{
		$layerPt = $this->layer;
		$layerPt->set("tolerance",0);
		$layerPt->set("template","none.htm");
		$nomefinal = nomeRandomico();
		$nomearq = $this->diretorio."/".$nomefinal;
		$itemspt = pegaItens($layerPt);
		$existesel = "nao";
		if (file_exists(($this->arquivo)."qy"))
		{$this->mapa->loadquery(($this->arquivo)."qy");}
		if ($layerPt->getNumresults() > 0){$existesel = "sim";}
		if ($existesel == "nao")
		{$layerPt->queryByrect($this->mapa->extent);}
		$res_count = $layerPt->getNumresults();
		$pontos = array();
		//pega um shape especifico
		$layerPt->open();
		for ($i = 0; $i < $res_count; $i++)
		{
			$result = $layerPt->getResult($i);
			$shp_index  = $result->shapeindex;
			$shape = $layerPt->getshape(-1, $shp_index);
			$lineo = $shape->line(0);
			$pt = $lineo->point(0);
			$pontos[] = $pt->x."  ".$pt->y."\n";
			$pontosx[] = $pt->x;
			$pontosy[] = $pt->y;
		}
		$layerPt->close();
		//grava o arquivo com os pontos em x
		$f = fopen($nomearq."x",w);
		foreach ($pontosx as $pt)
		{fwrite($f,$pt."\n");}
		fclose($f);
		//grava o arquivo com os pontos em y
		$f = fopen($nomearq."y",w);
		foreach ($pontosy as $pt)
		{fwrite($f,$pt."\n");}
		fclose($f);
		$f = fopen($nomearq."Full",w);
		foreach ($pontos as $pt)
		{fwrite($f,$pt);}
		fclose($f);

		$prjMapa = $this->mapa->getProjection();
		$layerPol = $this->mapa->getlayerbyname($this->layerPol);
		$prjTema = $layerPol->getProjection();
		$layerPol->queryByrect($this->mapa->extent);
		$res_count = $layerPol->getNumresults();
		$pontos = array();
		$layerPol->open();
//FIXME - Colocar proj como variavel
		$projInObj = ms_newprojectionObj("proj=latlong");
		$projOutObj = ms_newprojectionobj($prjMapa);
		for ($i = 0; $i < $res_count; $i++)
		{
		       //pega um poligono
		       $result = $layerPol->getResult($i);
		       $shp_index  = $result->shapeindex;
		       $shape = $layerPol->getshape(-1, $shp_index);
		       //verifica quantos arcos tem o poligono
		       $numlines = $shape->numlines;
		       for ($l = 0; $l < $numlines; $l++)
		       {
		               $lineo = $shape->line($l);
		               //verifica quantos pontos tem o arco
               			$numpoints = $lineo->numpoints;
		               for ($p = 0; $p < $numpoints; $p++)
		               {
                		       //pega o ponto do arco
		                       $pt = $lineo->point($p);
                		       if (($prjTema != "") && ($prjMapa != $prjTema))
		                       {
                		               $pt->project($projInObj, $projOutObj);
		                       }
                		       $pontos[] = $pt->x."  ".$pt->y."\n";
               			}
       			}
		}
		$layerPol->close();

		$nomefinal = nomeRandomico();
		$nomearq2 = $this->diretorio."/".$nomefinal;

		$f = fopen($nomearq2,w);
		foreach ($pontos as $pt)
		{fwrite($f,$pt);}
		fclose($f);

		$this->mapaKernel($nomearq,$nomearq2,$dir_tmp,$R_path,$locaplic,$raio);

		//cria a imagem
		$minmax = $this->criaImagemR($nomearq);
		//cria as cores
		include("class.palette.php");
		$cori = RGB2hex(explode(",",$cori));
		$corf = RGB2hex(explode(",",$corf));
		$myPalette=new palette(array($cori,$corf),($numclasses + 1));
		//cria os parametros das classes
		$cls = classesRasterI($minmax[0],$minmax[1],$numclasses,$myPalette->colorRGB);
		if (count($cls) != $numclasses){return("erro.");}
		//adiciona o novo tema
		if (file_exists($nomearq.".png"))
		{
			$novolayer = criaLayer($this->mapa,MS_LAYER_RASTER,MS_DEFAULT,("kernel (".$this->nome.")"),$metaClasse="SIM");
			$novolayer->set("data",$nomearq.".png");
			$novolayer->set("template","none.htm");
			$novolayer->setmetadata("download","sim");
			//classes
			$numclassesatual = $novolayer->numclasses;
			for ($i=0; $i < $numclassesatual; $i++)
			{
				$classe = $novolayer->getClass($i);
				$classe->set("status",MS_DELETE);
			}
			for ($i=0; $i < $numclasses; $i++)
			{
				$classe = ms_newClassObj($novolayer);
				$novoestilo = ms_newStyleObj($classe);
				$ncor = $novoestilo->color;
				$cores = $cls[$i]["cores"];
				$ncor->setrgb($cores[0],$cores[1],$cores[2]);
				$classe->setexpression($cls[$i]["expressao"]);
				$classe->set("name",$cls[$i]["nomeclasse"]);
			}
			$of = $this->mapa->outputformat;
			$of->set("imagemode",MS_IMAGEMODE_RGB);
		}
		else
		{return("erro");}
		return("ok");
	}

/*
function: mapaKernel

Gera um mapa de kernel.

Executa script R para gerar a imagem.

parameters:
$arqpt - Prefixo dos arquivos em disco com os pontos.
$arqpt - Prefixo dos arquivos em disco com o poligono.

$dir_tmp - Diretrio temporrio do mapserver.

$R_path - Onde fica o R.

$locaplic - Onde fica o I3Geo.

*/
	function mapaKernel($arqpt,$arqpt2,$dir_tmp,$R_path,$locaplic,$raio)
	{
		$gfile_name = nomeRandomico(20);
		$graf = "png";
		$tmp = $arqpt . "Full";
		if (strtoupper(substr(PHP_OS, 0, 3) == 'WIN'))
		{$lib = '.libPaths("'.$locaplic.'/pacotes/r/win/library")';}
		$rcode[] = $lib;

		$rcode[] = 'library(splancs)';
		$rcode[] = 'library(spatstat)';
		$rcode[] = 'dadosx<-scan("'.$arqpt.'x")';
		$rcode[] = 'dadosy<-scan("'.$arqpt.'y")';
		$rcode[] = "pt <- spoints(scan(\"$tmp\"))";
		$rcode[] = "ct <- spoints(scan(\"$arqpt2\"))";
		$rcode[] = "raio <- $raio / 110880";
		$rcode[] = "img <- kernel2d(pt,ct,h0=raio,nx=100,ny=100)";
		$rcode[] = 'xrange <- c(min(ct[,1]),max(ct[,1]))';
		$rcode[] = 'yrange <- c(min(ct[,2]),max(ct[,2]))';
		$rcode[] = 'pt2 <- ppp(dadosx, dadosy, xrange,yrange)';
		$rcode[] = 'img2 <- density.ppp(pt2)';
		$rcode[] = 'cat(img$z,file="'.$arqpt.'img",fill=FALSE)';
		$rcode[] = 'cat(img2$xstep,file="'.$arqpt.'h",fill=TRUE)';
		$rcode[] = 'cat(img2$ystep,file="'.$arqpt.'h",append=TRUE,fill=TRUE)';
		$rcode[] = 'cat(xrange,file="'.$arqpt.'h",append=TRUE,fill=TRUE)';
		$rcode[] = 'cat(yrange,file="'.$arqpt.'h",append=TRUE,fill=TRUE)';
		$rcode[] = 'cat(img2$dim,file="'.$arqpt.'h",append=TRUE,fill=TRUE)';

		$r = executaR($rcode,$dir_tmp,$R_path,$gfile_name);
		return "ok";

	}
/*
function: criaImagemR

Cria uma imagem png a partir de dados armazenados em disco.

Utilizado para gerar uma imagem com base nos resultados de comandos R.

parameters:

$nomearq - Nome do arquivo no servidor que ser utilizado para gerar a imagem.
*/
function criaImagemR($nomearq)
{
	if (!file_exists($nomearq."img"))
	{return "erro";}
	//pega os parametros
	$abre = fopen($nomearq."h", "r");
	while (!feof($abre))
	{
		$buffer = fgets($abre);
		$pararray[] = $buffer;
	}
	fclose($abre);

	$xsize = $pararray[0];
	$ysize = $pararray[1];
	$xdim = $pararray[2];
	$ydim = $pararray[3];
	$wh = explode(" ",$pararray[4]);
	// pega os valores dos pixels
	$abre = fopen($nomearq."img", "r");
	$buffer = fgets($abre);
	fclose($abre);
	$pixelimg = explode(" ",$buffer);
	$tam = count($pixelimg);
	$tmp = array_filter($pixelimg,is_numeric);
	for($i = 0;$i < $tam; $i++)
	{
		if ($pixelimg[$i] == "NA") $pixelimg[$i] = -1000;
	}
	$minpixel = min($tmp);
	$maxpixel = max($tmp);


	//normalizacao
	$a = 9 / ($minpixel - $maxpixel);
	$b = 9 - $a * $minpixel;
	$img = imagecreatetruecolor($wh[0],$wh[1]);
	imagesavealpha($img,true);

	$trans_colour = imagecolorallocatealpha($img, 255, 255, 255, 127);
	imagefill($img, 0, 0, $trans_colour);
    
	$celula = 0;
	for ($y = ($wh[1] - 1); $y >= 0; $y--)
	{
		for ($x = 0; $x < $wh[0]; $x++)
		{
			$norma =  $pixelimg[$celula] >= 0 ? round($a * $pixelimg[$celula] + $b) : -1;
			switch ($norma)
			{
				case 0:  $cor = imagecolorresolve($img,241,2,1); break;
				case 1:  $cor = imagecolorresolve($img,247,64,1); break;
				case 2:  $cor = imagecolorresolve($img,254,126,1); break;
				case 3:  $cor = imagecolorresolve($img,255,179,35); break;
				case 4:  $cor = imagecolorresolve($img,255,230,79); break;
				case 5:  $cor = imagecolorresolve($img,198,251,79); break;
				case 6:  $cor = imagecolorresolve($img,86,245,34); break;
				case 7:  $cor = imagecolorresolve($img,12,242,30); break;
				case 8:  $cor = imagecolorresolve($img,57,249,142); break;
				case 9:  $cor = imagecolorresolve($img,204,255,255); break;
			}
			
			if ($norma >= 0)imagesetpixel($img, $x, $y,$cor);
			$celula = $celula + 1;
		}
	}
	Imagepng($img,$nomearq.".png");
	ImageDestroy($nomearq.".png");
	$dadosw[] = trim($xsize);
	$dadosw[] = 0;
	$dadosw[] = 0;
	$dadosw[] = trim($ysize * -1);

	$temp = explode(" ",$xdim);
	$dadosw[] = trim($temp[0]);

	$temp = explode(" ",$ydim);
	$dadosw[] = trim($temp[1]);

	$fp = fopen($nomearq.".wld","w");
	foreach ($dadosw as $dado)
	{
		fwrite($fp,$dado."\n");
	}
	fclose($fp);
	$retorno = array($minpixel,$maxpixel);
	return $retorno;
}

}
?>
