<?php
/*
Title: A - Controle das requisies em Ajax feitas pelas interfaces normais do i3geo

Recebe as requisies feitas em JavaScript (AJAX) e retorna o resultado para a interface.

As principais variveis so obtidas da seo, definida na inicializao do I3Geo. Se a varivel $map_file no for enviada, o retorno  uma mensagem linkquebrado e o fim do programa.

Para utilizar esse programa fora do I3Geo, envie o parmetro "map_file=''", dessa forma, evita-se a mensagem de link quebrado.

O parmetro "funcao" define qual a operao que ser executada (veja exemplo abaixo). esse parmetro  verificado em um bloco "switch ($funcao)".

Sequncia de operaes:

pega as variveis get ou post->pega as variveis da seo->verifica se o debug deve ser ativado->carrega as extenses doPHP->cria o objeto cpaint->carrega as funes de uso mais comuns->faz uma cpia de segurana do map_file->roda a funo desejada->retorna os valores obtidos

About: Licena

I3Geo Interface Integrada de Ferramentas de Geoprocessamento para Internet

Direitos Autorais Reservados (c) 2006 Ministrio do Meio Ambiente Brasil
Desenvolvedor: Edmar Moretti edmar.moretti@mma.gov.br

Este programa  software livre; voc pode redistribu-lo
e/ou modific-lo sob os termos da Licena Pblica Geral
GNU conforme publicada pela Free Software Foundation;
tanto a verso 2 da Licena.
Este programa  distribudo na expectativa de que seja til,
porm, SEM NENHUMA GARANTIA; nem mesmo a garantia implcita
de COMERCIABILIDADE OU ADEQUAO A UMA FINALIDADE ESPECFICA.
Consulte a Licena Pblica Geral do GNU para mais detalhes.
Voc deve ter recebido uma cpia da Licena Pblica Geral do
GNU junto com este programa; se no, escreva para a
Free Software Foundation, Inc., no endereo
59 Temple Street, Suite 330, Boston, MA 02111-1307 USA.

About: Parmetros

funcao - opo que ser executada.

Retorno:

cp - o resultado da operao ser retornado em um objeto CPAINT.

Exemplo de chamada CPAINT (Ajax) do lado do cliente (javascript):

var p = "classesphp/mapa_controle.php?funcao=crialente&resolucao=1.5&g_sid="+g_sid

var cp = new cpaint()

cp.set_response_type("JSON")

cp.call(p,"lente",ajaxabrelente)

About: Variveis de Seo

dir_tmp - diretrio, no servidor, temporrio utilizado pelo I3Geo, exemplo: c:/ms4w/tmp/ms_tmp
temasdir - diretrio, no servidor, onde ficam os arquivos map_file de cada tema, exemplo: c:/ms4w/apache/htdocs/i3geo/temas
temasaplic - diretrio, no servidor, onde ficam os arquivos de inicializao, exemplo: c:\ms4w\apache\htdocs\i3geo\aplicmap
locmapserv - localizao, no servidor, do CGI, exemplo: /cgi-bin/mapserv.exe
locaplic - localizao, no servidor, do I3Geo, exemplo: c:/ms4w/apache/htdocs/i3geo
locsistemas - localizao do xml com a llista de temas, exemplo: /menutemas/sistemas.xml
locidentifica - localilzao do xml que define os sistemas adicionais includos na opo de identificao, exemplo: /menutemas/identifica.xml
R_path - localizao, no servidor, do executvel do pacote R, exemplo: c:/ms4w/apache/htdocs/i3geo/pacotes/r/win/bin/R.exe
imgurl - url das imagens geradas pelo mapa, exemplo: http://localhost/ms_tmp/imgTVHbdijFMk/
tmpurl - url do diretrio temporrio, exemplo: http://localhost/ms_tmp/
map_file - endereo, no servidor, do mapfile atual, exemplo: c:/ms4w/tmp/ms_tmp/TVHbdijFMk/TVHbdijFMk.map
mapext - extenso geogrfica do mapa atual, exemplo: -76.5125927 -39.3925675209 -29.5851853 9.49014852081
perfil - nome do perfil para controlar os temas que sero visveis na lista de temas.
mapdir - localizao, no servidor, do diretrio com o mapfile temporrio do mapa atual.
imgdir - localizao, no servidor, das imagens temporrias do mapa atual. 
debug - (pode ser definido como "sim" indica se o erro_reporting deve ser definido como E_ALL

File: i3geo/classesphp/mapa_controle.php

19/6/2007

Include:
<pega_variaveis.php>, <carrega_ext.php>, <cpaint2.inc.php>, <classe_vermultilayer.php>, <classe_estatistica.php>, <funcoes_gerais.php>

*/
//error_reporting(0);

//sleep(5);

//
//pega as variaveis passadas com get ou post
//
$tempo = microtime(1);
include_once("../../classesphp/pega_variaveis.php");
include_once ("../../classesphp/carrega_ext.php");
require_once("../../classesjs/cpaint/cpaint2.inc.php");
//
//cria objeto cpaint para uso com ajax
//
$cp = new cpaint();
$cp->set_data("");
require_once("../../classe_vermultilayer.php");
require_once("../../funcoes_gerais.php");
//
//substitui a string de conexo
//
substituiCon($map_file,$postgis_mapa);
//
//faz a busca da funo que deve ser executada
//
switch ($funcao)
{
/*
Property: incmapageometrias

Inclu geometrias, armazenadas no formato I3Geo, como um tema no mapa atual.

O mapfile  alterado e salvo novamente com os novos layers.

Include:
<classe_analise.php>
*/

	case "mapaKernel":
		include("classe_mapakernel.php");
		copiaSeguranca($map_file);
		$m = new mapaKernel($map_file,$temaPt,$temaPol);
		$cp->set_data($m->analiseDistriPt($locaplic,$dir_tmp,$R_path,$numclasses,$cori,$corf,$tmpurl,$raio));
		$m->salva();
	break;
}
/*
Function: redesenhaMapa

Redesenha o mapa e retorna os parmetros do novo mapa.

Include:
<classe_mapa.php>
*/
function redesenhaMapa()
{
	global $tempo,$map_file,$locsistemas,$locidentifica,$tipoimagem,$cp,$postgis_mapa,$utilizacgi,$locmapserv;
	if($tipoimagem != "nenhum")
	{$utilizacgi = "nao";}
	if (connection_aborted()){exit();}
	include_once("../../classesphp/classe_mapa.php");
	$m = New Mapa($map_file);
	$par = $m->parametrosTemas();
	$imagem = $m->redesenhaCorpo($locsistemas,$locidentifica,$tipoimagem,$utilizacgi,$locmapserv);
	if ($imagem == "erro")
	{
		unlink($map_file);
		copy(str_replace(".map","seguranca.map",$map_file),$map_file);
		$m = New Mapa($map_file);
		$par = $m->parametrosTemas();
		if (isset($utilizacgi) && strtolower($utilizacgi) == "sim")
		{$imagem = "var mapimagem='".$locmapserv."?map=".$map_file."&mode=map&".nomeRandomico()."'";}
		else
		{$imagem = $m->redesenhaCorpo($locsistemas,$locidentifica,$tipoimagem);}
	}
	restauraCon($map_file,$postgis_mapa);
	if (($par == "") || ($imagem == ""))
	{$cp->set_data("erro");}
	else
	{$cp->set_data($imagem.";".$par.";var tempo=".(microtime(1) - $tempo));}
}
?>
